Skip to main content
POST
TypeScript

Authorizations

Authorization
string
header
required

Use your project-specific Secret API key. Will start with tr_dev_, tr_prod, tr_stg, etc.

You can find your Secret API key in the API Keys section of your Trigger.dev project dashboard.

Our TypeScript SDK will default to using the value of the TRIGGER_SECRET_KEY environment variable if it is set. If you are using the SDK in a different environment, you can set the key using the configure function.

Path Parameters

queueParam
string
required

The queue ID (e.g., queue_1234), or the name of the queue when using the type body parameter.

Body

application/json
type
enum<string>
default:id

How to interpret the queueParam path parameter:

  • id: Treat as a queue ID (default)
  • task: Treat as a task ID to get the task's default queue
  • custom: Treat as a custom queue name
Available options:
id,
task,
custom

Response

Concurrency limit reset successfully

id
string
required

The queue ID, e.g., queue_1234

Example:

"queue_1234"

name
string
required

The queue name. For task queues, this is the task ID. For custom queues, this is the name you specified.

Example:

"my-task-id"

type
enum<string>
required

The type of queue:

  • task: Created automatically for each task
  • custom: Created explicitly in your code using queue()
Available options:
task,
custom
Example:

"task"

running
integer
required

The number of runs currently executing

Example:

5

queued
integer
required

The number of runs currently queued

Example:

10

paused
boolean
required

Whether the queue is paused. When paused, no new runs will start.

Example:

false

concurrencyLimit
integer | null

The current concurrency limit of the queue

Example:

10

concurrency
object

Detailed concurrency information